**`SUNIL DHOLPURIA`[NAME]** -NL- LinkedIn: www.linkedin.com/in/sunil-dholpuria-37301a160 -NL- Email : **`sunildholpuria123@gmail.com`[EMAILS_EMAIL]** -NL- Domain: -NL- Native Android/React - Native -NL- Mobile : +91 8976352810 -NL- NP:Immediate -NL- Join -NL- **`PROFILE SUMMARY:`[SUMMARY_HEADING]** -NL- • Over 3+ years of experience in the area of software development for mobiles, which -NL- includes understanding requirement specification, working on software design, -NL- coding, testing and maintenance. -NL- • Experience in IT industry as Android Native application Developer/React - -NL- Native. -NL- • Comprehensive knowledge of application development using Android Architecture -NL- with Java technology. -NL- • Experience of using version control and bug reporting tools like Git, SVN. -NL- • Experience in Agile and Scrum work Environment. -NL- • Extensively worked with Android SDK. -NL- • Experience in Base code structure with Retrofit, MVP. -NL- • Experience in basic components of Android: Activities, Services, and Broad Cast -NL- Receivers. -NL- • Experience in Material design, Custom widgets. -NL- • Experience in Firebase Push Notifications. -NL- • Experience in integrating third-party libraries. -NL- • Work on bugfixing and improving application performance. -NL- • Adept in end-to-end development of software products from requirement analysis to -NL- system study, designing, coding. -NL- • Experience in handling JSON RESTFUL Web Services. -NL- • Good leadership skills with ability to motivate teams to increase productivity. -NL- **`TECHNICAL EXPERTISE:`[SKILLS_HEADING]** -NL- Programming Languages Core Java, Android, Kotlin -NL- Mobile Technologies -NL- Android/React-Native -NL- Development Environment Android Studio/Visual Studio Code -NL- Database Explored -NL- SQLite, SQL, Room -NL- Design Patterns- -NL- MVC,MVP,MVVM -NL- Architecture -NL- API /Web Service -NL- JSON, REST -NL- Integration -NL- Platform -NL- Android SDK and Knowledge about Android platforms -NL- since level 1.5 to 9.0 . -NL- Tools -NL- Logcat, DDMS, Genymotion, Gradle, Android Monitor, -NL- Postman -NL- Operating systems -NL- Windows XP/7/8, Server 2008/2012, Mac os -NL- Version Control -NL- Svn, Git,bitBucket,gitlab -NL- CI/CD Tools: -NL- Jenkins -NL- **`PROFESSIONAL EXPERIENCE:`[WORK_EXPERIENCE_HEADING]** -NL- Project 1 – **`Community Development Authority,Government of Dubai,UAE`[PROJECT_TITLE]** -NL- Technology : React Native. -NL- Tools : Visual studio Code -NL- Description: -NL- CDA is in charge for the overall supervision to achieve social sector -NL- outputs, and provide the -NL- provisions of social services in order to create an integrated and efficient management -NL- system -NL- for the development of social services in the emirate. The idea of this project is to provide -NL- mobile application solution in Android and iOS for CEO, DG and Head of Sector designated -NL- people of CDA -NL- Roles & Responsibilities: -NL- • Converted wireframes to user interactive views using custom methodology. -NL- • Involved in designing and application development. -NL- • Took ownership for end to end implementation that involves client interactions for -NL- understanding business requirements. -NL- • Implemented RESTful web services into application. -NL- • Integrated Android Push Notifications & Background Sync . -NL- Project 2– **`Medicalwale.com (Doctor), Inspire Infotech, India`[PROJECT_TITLE]** -NL- Technology : Core Java with Android, MVC Design Pattern, Firebase. -NL- Tools : Android studio -NL- Description: -NL- Medicalwale.com is a futuristic Digital Healthcare App Laden with multiple -NL- features, -NL- Medicalwale.com will help you resolve your health issues at ease. Everything on one -NL- platform, -NL- with one click! One app for all health & medical needs! -NL- Roles & Responsibilities: -NL- • Designed and developed interactive UI for application. -NL- • Implemented RESTful web services into application. -NL- • Push Notifications & Background Sync,Firebase Analytics,MP Android Chart, -NL- ChatLibrary, Google Video player library, Google Location -NL- Link: https://play.google.com/store/apps/details?id=com.medicalwale.medicalwale -NL- Project 3 – **`BAGPAC, Inspire Infotech, India`[PROJECT_TITLE]** -NL- Technology : Core Java with Android, MVC Design Pattern. -NL- Tools : Android studio -NL- Description: -NL- Bagpac allows user tofind nearby hotels, search for the best deals to suit your travel -NL- budget. -NL- Find hotels for your holiday or business trip, discover a last minute city break or a winter sun -NL- weekend deal -NL- Roles & Responsibilities: -NL- • Replicated wireframes into responsive UI/UX for the application -NL- • Implemented RESTful web services into mobile application. -NL- • Integrated Push Notifications,Payment gateway & Google Location features in the -NL- application. -NL- Project 4 – **`FITORTO, App Struff Pvt. Ltd., India`[PROJECT_TITLE]** -NL- Technology : Core Java with Android, MVC Design Pattern -NL- Tools : Android studio -NL- Description: -NL- FITORTO is your smartfitness membership to India’s largestfitness network of -NL- gyms &fitness -NL- studios and unlimited workout. -NL- Roles & Responsibilities: -NL- • Ensure that apps are tested to meet total performance requirements. -NL- • Ensure applications are properly integrated with Android APIs. -NL- • Respond to client needs for applications with an eye to the most feasible and -NL- effective -NL- solutions. -NL- • Optimize the interfacing of the apps with a variety of systems to ensureflexible and -NL- • agile use. -NL- • Integrated Android Push Notifications & Facebook, Twitter, and Google login -NL- Project 5 -**` JabVMeet(Inspire Infotech)`[PROJECT_TITLE]** -NL- Project -NL- 7 – Hatpar(Inspire -NL- Infotech) -NL- on -NL- play -NL- store -NL- https://play.google.com/store/apps/details?id=apk.hatpar.com.inspire -NL- Project 8 – **`Orja(Appstruff pvt ltd.)`[PROJECT_TITLE]** -NL- **`EXPERIENCE SUMMARY:`[OTHERS_HEADING]** -NL- • Worked as **`Developer (Android)`[EMPLOYER_ROLE]** in **`Speridian Technologies`[EMPLOYER_COMPANY_NAME]**, Mumbai from June -NL- 2018 to till now. -NL- • Worked as **`Android Developer`[EMPLOYER_ROLE]** (Android) in **`Inspire Infotech`[EMPLOYER_COMPANY_NAME]**, Mumbai from -NL- October 2016 to May 2018 . -NL- • Worked as **`Android Developer`[EMPLOYER_ROLE]** (Android) in **`Appstruff Pvt Ltd`[EMPLOYER_COMPANY_NAME]**, Mumbai from April -NL- 2016 to Sept 2016 . -NL- **`EDUCATIONAL QUALIFICATIONS:`[EDUCATION_HEADING]** -NL- • **`Master of Computer Application`[EDUCATION_DEGREE]** (MCA) with 5.53.CGPA from **`Mumbai University`[EDUCATION_INSTITUTE]** in 2015. -NL- • **`B.Sc`[EDUCATION_DEGREE]** in **`Information Technology`[EDUCATION_COURSE]** (Bsc.IT) with 59.53% from **`Mumbai University`[EDUCATION_INSTITUTE]** in 2011. -NL- • **`Intermediate`[EDUCATION_DEGREE]** (+2) with 54% from Board of Maharashtra State in 2008. -NL- • **`SSC`[EDUCATION_DEGREE]** with 64% from Board of Maharashtra in 2006. -NL- **`DECLARATION:`[OTHERS_HEADING]** -NL- I hereby declare that the above mentioned information is correct up to my knowledge and I -NL- bear the responsibility for the correctness of the above-mentioned particulars. -NL- Place: Mumbai -NL- Date: -NL- (Sunil Dholpuria) -NL- 